/* -*- C++ -*-
 *
 * Copyright 2006 Timon Christl
 * 
 * This file is part of SharpConstruct.
 *
 * SharpConstruct is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * SharpConstruct is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SharpConstruct; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

void main()
{
    vec3 transformedNormal = normalize(gl_NormalMatrix * gl_Normal);
    transformedNormal*=0.5;
    transformedNormal+=vec3(0.5);

    gl_Position = ftransform();
    gl_FrontColor=vec4(transformedNormal,1.0);
    gl_BackColor=gl_FrontColor;
}

